<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:template name="EmailLink">
<xsl:param name="EmailAddress" select="@Email"/>
<a href="mailto:{$EmailAddress}">E-Mail senden an: <b style="background-color: InfoBackground; color: InfoText;"><xsl:value-of select="$EmailAddress"/></b></a>
	</xsl:template>
	<xsl:template match="/Customers">
<html>
<head><title>Alle meine Kunden</title></head>
<body>
<H1>Alle meine <xsl:value-of select="count(Customer)"/> Kunden</H1>
<ol>
<xsl:message terminate="yes">Fehler!</xsl:message>
<xsl:apply-templates select="Customer"/>
</ol>
</body>
<xsl:comment>Das war's...</xsl:comment>
</html>
	</xsl:template>
	<xsl:template match="Customer">
<li>
<a href="javascript:alert('ID: {@id}')">
<xsl:value-of select="concat(Name/@First, ' ', Name/@Last)"/>
</a>
<ul>
<xsl:for-each select="ContactDetails">
<xsl:choose>
<xsl:when test="position() = 2">
<xsl:call-template name="EmailLink">
<xsl:with-param name="EmailAddress" select="'xsl_withparam@xsl_when.com'"/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="EmailLink"/>
</xsl:otherwise>
</xsl:choose>
<xsl:if test="position()!=last()">, </xsl:if>
</xsl:for-each>
</ul>
</li>
	</xsl:template>
</xsl:stylesheet>